/*
 * @author lsy
 * @date   2019-10-13
 **/
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';
import 'package:gmalpha_flutter/commonModel/base/BaseComponent.dart';
import 'package:gmalpha_flutter/commonModel/net/Api.dart';
import 'package:gmalpha_flutter/res/anim/Anim.dart';

class TestPage extends StatelessWidget {
  TestPage() {
    Api.getInstance().setDioCookie({
      'Cookie':
          'sessionid=ptudnleishg9tkizlcf8k1nna4fclncc;_gtid=daf0b158ee3211e9ab2e525400e82fab3575;_gm_token=7600f21571024088'
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: baseAppBar(title: "flutter测试", centerTitle: true),
        body: Container(
          child: ListView(
            children: <Widget>[
              testReportPage(context),
              presigePage(context),
              albumPage(context),
              userSettingPage(context),
            ],
          ),
        ));
  }

  base(BuildContext context, VoidCallback callback, String itemName) {
    return Container(
      margin: EdgeInsets.fromLTRB(16, 16, 16, 0),
      child: OutlineButton(
        onPressed: callback,
        child: Text(itemName),
      ),
    );
  }

  testReportPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findActivityReportRouter()
              ?.getActivityReportPage(300, 1, '')));
    }, "报告页面");
  }

  presigePage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findPrestigeRouter()
              ?.getReputationsPage(1, "ww", "ww")));
    }, "专家声望页面");
  }

  albumPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl().findAlbumRouter()?.getAlbumPage(
              "com.example.gengmei_flutter_plugin_example", true, 1, null)));
    }, "相册页面");
  }

  userSettingPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findUserRouter()
              ?.getUserSettingPage("241765462", "NULL")));
    }, "设置页面");
  }
}
